aboutsummaryrefslogtreecommitdiffstats
path: root/community/php7/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-05-02 02:19:09 +0200
committerJakub Jirutka <jakub@jirutka.cz>2017-05-02 02:19:09 +0200
commit5fb3e916d276cc9c3653734e69daa2cbbb6b394a (patch)
tree5ccbf0d93f63103803f758fff367cb73ca7aed3b /community/php7/APKBUILD
parent5f356cefbd0945a6e108d919426115fcd3c6d8e5 (diff)
downloadaports-5fb3e916d276cc9c3653734e69daa2cbbb6b394a.tar.bz2
aports-5fb3e916d276cc9c3653734e69daa2cbbb6b394a.tar.xz
community/php7: really allow tests to fail on x86 and armhf
Diffstat (limited to 'community/php7/APKBUILD')
-rw-r--r--community/php7/APKBUILD8
1 files changed, 4 insertions, 4 deletions
diff --git a/community/php7/APKBUILD b/community/php7/APKBUILD
index 0c4c9146e4..16c3789b96 100644
--- a/community/php7/APKBUILD
+++ b/community/php7/APKBUILD
@@ -353,15 +353,15 @@ check() {
sed -i "/^PHP_TEST_SHARED_EXTENSIONS/,/extension=/ \
s|in \$(PHP_MODULES)\"*|in $php_modules|" Makefile
- local report_exit_status=1
+ local allow_fail="no"
case "$CARCH" in
- x86 | armhf) report_exit_status=0;; # allow tests fail
+ x86 | armhf) allow_fail="yes" # don't halt on test failures
esac
- NO_INTERACTION=1 REPORT_EXIT_STATUS="$report_exit_status" \
+ NO_INTERACTION=1 REPORT_EXIT_STATUS=1 \
SKIP_SLOW_TESTS=1 SKIP_ONLINE_TESTS=1 TEST_TIMEOUT=10 \
TZ= LANG= LC_ALL= \
- make test
+ make test || [ "$allow_fail" = yes ] || return 1
echo 'NOTE: We have skipped quite a lot tests, see disabled-tests.list.'
}